Get affiliate claim
One claim.
GET
/
v1
/
affiliates
/
{affiliateId}
/
claims
/
{id}
Get affiliate claim
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"claim": {
"id": "<string>",
"affiliateId": "<string>",
"amount": "<string>",
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutChain": "arbitrum",
"payoutAsset": "<string>",
"payoutAddress": "<string>",
"status": "processing",
"txHash": "<string>",
"relayRequestId": "<string>",
"operationId": "<string>",
"errorMessage": "<string>",
"nextAttemptAt": "<string>",
"attempts": 123,
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Was this page helpful?
⌘I
Get affiliate claim
curl --request GET \
--url https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://orchestration.flashnet.xyz/v1/affiliates/{affiliateId}/claims/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"claim": {
"id": "<string>",
"affiliateId": "<string>",
"amount": "<string>",
"settlementChain": "<string>",
"settlementAsset": "<string>",
"payoutChain": "arbitrum",
"payoutAsset": "<string>",
"payoutAddress": "<string>",
"status": "processing",
"txHash": "<string>",
"relayRequestId": "<string>",
"operationId": "<string>",
"errorMessage": "<string>",
"nextAttemptAt": "<string>",
"attempts": 123,
"createdAt": "<string>",
"completedAt": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}